<?xml version='1.0' encoding='utf-8'?>
<addon id="plugin.video.jellyfin" name="Jellyfin" version="0.7.5+py3" provider-name="Jellyfin Contributors, angelblue05">
  <requires>
    <import addon="xbmc.python" version="3.0.0" />
    <import addon="script.module.requests" version="2.22.0+matrix.1" />
    <import addon="script.module.dateutil" version="2.8.1+matrix.1" />
    <import addon="script.module.six" version="1.14.0+matrix.2" />
    <import addon="script.module.kodi-six" version="0.1.3+1" />
    <import addon="script.module.addon.signals" version="0.0.5+matrix.1" />
    <import addon="script.module.websocket" version="0.58.0+matrix.1" />
  </requires>
  <extension point="xbmc.python.pluginsource" library="default.py">
    <provides>video audio image</provides>
  </extension>
  <extension point="xbmc.service" library="service.py" start="login">
  </extension>
  <extension point="kodi.context.item">
    <menu id="kodi.core.main">
      <item library="context.py">
        <label>30401</label>
        <visible>[!String.IsEmpty(ListItem.DBID) + !String.IsEqual(ListItem.DBID,-1) | !String.IsEmpty(ListItem.Property(jellyfinid))] + !String.IsEmpty(Window(10000).Property(jellyfin_context))</visible>
      </item>
      <item library="context_play.py">
        <label>30402</label>
        <visible>[[!String.IsEmpty(ListItem.DBID) + !String.IsEqual(ListItem.DBID,-1) | !String.IsEmpty(ListItem.Property(jellyfinid))] + [String.IsEqual(ListItem.DBTYPE,movie) | String.IsEqual(ListItem.DBTYPE,episode)]] + !String.IsEmpty(Window(10000).Property(jellyfin_context_transcode))</visible>
      </item>
    </menu>
  </extension>
  <extension point="xbmc.addon.metadata">
    <platform>all</platform>
    <language>en</language>
    <license>GNU GENERAL PUBLIC LICENSE. Version 3, 29 June 2007</license>
    <forum>https://forum.jellyfin.org</forum>
    <website>https://jellyfin.org/</website>
    <source>https://github.com/jellyfin/jellyfin-kodi</source>
    <summary lang="en" />
    <description lang="en">Welcome to Jellyfin for Kodi!
A whole new way to manage and view your media library. The Jellyfin addon for Kodi combines the best of Kodi - ultra smooth navigation, beautiful UIs and playback of any file under the sun, and Jellyfin - the most powerful fully open source multi-client media metadata indexer and server.

Jellyfin for Kodi is the absolute best way to enjoy the incredible Kodi playback engine combined with the power of Jellyfin's centralized database. Features:
* Direct integration with the Kodi library for native Kodi speed
* Instant synchronization with the Jellyfin server
* Full support for Movie, TV and Music collections
* Jellyfin Server direct stream and transcoding support - use Kodi when you are away from home!</description>
    <news>v0.7.5 (2021-10-18):
New features and improvements
-----------------------------
+ Add transcode dialog skip option: "Media default" (#555) @jessbo
+ Add option to transcode vp9 and av1 (#545) @mcarlton00

Bug Fixes
---------
+ Don't store CriticRating in the userrating db field (#581) @oddstr13
+ Allow browsing to a show from the info menu (#576) @mcarlton00
+ Resume media when possible during casting (#574) @mcarlton00
+ Fix direct play when direct stream isn't allowed. (#573) @oddstr13
+ Fixes #557 - Add missing "PlaySessionId" (#563) @jessbo
+ Fix external sub conflict (#547) @mcarlton00

Dependency updates
------------------
+ Change from my Kodistubs py3 branch to the upstream v19 release (#580) @oddstr13
+ Bump codecov/codecov-action from 2.0.3 to 2.1.0 (#568) @dependabot
+ Bump codecov/codecov-action from 2.0.2 to 2.0.3 (#564) @dependabot
+ Bump burnett01/rsync-deployments from 4.1 to 5.1 (#556) @dependabot
+ Bump codecov/codecov-action from 1 to 2.0.2 (#551) @dependabot

CI &amp; build changes
------------------
+ Checkout repo before using it's content, yea? (#586) @oddstr13
+ Improve changelog formatting (#585) @oddstr13
+ ci: fix dependabot labels (#582) @h1dden-da3m0n
+ ci: fix incorrect test branch checkout (#579) @h1dden-da3m0n
+ Don't fail fast on the py test matrix (#577) @oddstr13
+ Add argument for dev mode to build script (#546) @mcarlton00
+ fix: prevent dual GitHub release publish (#537) @h1dden-da3m0n

Code or Repo Maintenance
------------------------
+ Clean up sys.path manipulation in favor of proper imports (#578) @oddstr13
+ Simplify code :hammer: (#402) @bpepple
+ Migrate to new translatePath library (#575) @mcarlton00</news>
    <assets>
      <icon>resources/icon.png</icon>
      <fanart>resources/fanart.png</fanart>
    </assets>
  </extension>
</addon>
